Update Identity Provider
Updates an identity provider's configuration. Use update_mask to specify which fields to update.
Authorization
BearerAuth JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.
In: header
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
length <= 64length <= 255length <= 512length <= 1024length <= 2048length <= 2048length <= 2048length <= 2048length <= 2048items <= 64Fields to update. If not provided, all set fields are updated. Include "scopes" to sync scopes (empty array removes all).
Response Body
application/json
application/json
curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.OrganisationService/UpdateIdentityProvider" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"identityProvider": {
"id": "string",
"organisationId": "string",
"slug": "string",
"displayName": "string",
"enabled": true,
"clientId": "string",
"clientSecret": "string",
"redirectUrl": "string",
"issuerUrl": "string",
"authorizationUrl": "string",
"tokenUrl": "string",
"userinfoUrl": "string",
"scopes": [
"string"
],
"usesPasswordClient": true,
"iacManaged": true,
"clientSecretSet": true,
"systemManaged": true
}
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Set User Automation POST
Marks a user as eligible to be bound to application automation keys, or clears the flag (revoking every key bound to the user). Admins cannot be flagged. **Required scopes:** `auth:users:edit`
Update Organisation POST
Updates an organisation's configuration. Use update_mask to specify which fields to update.